---
title: StaticRange.endContainer
slug: Web/API/StaticRange/endContainer
tags:
  - API
  - DOM
  - DOM API
  - Property
  - Reference
  - Static Range API
  - StaticRange
  - endContainer
---
<p><span style="font-size: 1rem; letter-spacing: -0.00278rem;">{{APIRef("DOM WHATWG")}}</span></p>

<p><span class="seoSummary"><span style="font-size: 1rem; letter-spacing: -0.00278rem;">The </span><strong style="font-size: 1rem; letter-spacing: -0.00278rem;"><code>endContainer</code></strong><span style="font-size: 1rem; letter-spacing: -0.00278rem;"> property of the {{domxref("StaticRange")}} interface returns the end {{domxref("Node")}} for the range.</span></span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>node</em> = <em>staticNode.endContainer</em>
<em>staticNode.endContainer</em> = endContainer</pre>

<h3 id="Value">Value</h3>

<p>The DOM {{domxref("Node")}} which contains the final character of the range.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-endcontainer', 'endContainer')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('Static Range','#dom-staticrange-endcontainer','endContainer')}}</td>
   <td>{{Spec2('Static Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StaticRange.endContainer")}}</p>
</div>
